Bug 163763 - digikam hangs during operation and startup
Summary: digikam hangs during operation and startup
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Scan (show other bugs)
Version: 0.9.3
Platform: unspecified Linux
: NOR crash with 1 vote (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-11 08:50 UTC by Ferdinand Gassauer
Modified: 2020-08-26 03:57 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ferdinand Gassauer 2008-06-11 08:50:23 UTC
Version:           0.9.3 (using 3.5.9 "release 62.1" , openSUSE )
Compiler:          Target: x86_64-suse-linux
OS:                Linux (x86_64) release 2.6.22.17-0.1-default

on SUSE 10.3 digikam-0.9.3-63.1
37000 files

during tagging I suddenly I got 100% CPU usage 
had to kill digikam
saw a lot of disc activity afterwards

restart digikam - again 100% CPU
kill again

restart digikam - again 100% CPU
kill again

restart digikam - normal startup

sorry could not find any more info

BTW first startup hangs frequently , some kill and restarts solve the problem
Comment 1 caulier.gilles 2008-06-11 09:17:06 UTC
This is relevant certainly of a bug from libsqlite3. It's have been already reported in this room and fixed in current implementation.

Please, update libsqlite3 to 3.5.9 and try again

Gilles Caulier
Comment 2 Ferdinand Gassauer 2008-06-11 23:21:59 UTC
the first start with the new 3.5.9 library took about 20 seconds of high disc activity (and no other feedback) before the window showing the scanned directories appeared.

IMHO the first thing at startup should be a splash screen

after some restarts the startup time was reasonable short - less 1 second before the directory scan started.

Nevertheless I do not know if digikam will hang or not during tagging. It just  happened once.
Comment 3 Andi Clemens 2008-06-11 23:29:06 UTC
Is openSUSE running famd? Maybe this is somehow related to your problem: http://bugs.kde.org/show_bug.cgi?id=162535
Comment 4 Ferdinand Gassauer 2008-06-12 11:55:00 UTC
famd wasn't running
I installed inotify-tools, didn't change much

IMHO - again - the splash window should be the first activity, than adding the watchers etc
Comment 5 Gord 2008-09-11 17:09:23 UTC
I get the hang on startup usually without the high CPU usuage (though sometimes with the high usage). The hang occurs during the "reading database". There is no output to the console. Any suggestions on how to help solve this problem?
Comment 6 Andi Clemens 2009-10-08 00:40:37 UTC
I'd like to mark this as UPSTREAM, since it is related to sqlite.
Any objections?
Comment 7 Francesco Riosa 2011-06-29 12:54:12 UTC
2.0.0-rc is out, please re-open if needed